Draft Mirror/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Draft Mirror|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Mirror|SeeAlso=[[Draft Scale|Draft Scale]]}}
{{GuiCommand/ro|Name=Draft Mirror|Name/ro=Draft Mirror|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft → Mirror|SeeAlso=[[Draft Scale/ro|Draft Scale]]}}


== Descriere ==
== Descriere ==

Revision as of 20:32, 25 September 2018

Draft Mirror

poziția meniului
Draft → Mirror
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Scale

Descriere

Acest instrument produce o copie în oglindă a unui obiect selectat, utilizând un obiect Mirror Object. Copia este legată parametric de obiectul original: dacă se modifică obiectul original, copia oglindă se modifică și ea, dar rămâne oglindită.

How to use

  1. Select objects you wish to mirror
  2. Press the Draft Mirror button
  3. Click the first point of the mirror line on the 3D view, or type a coordinate
  4. Click the other point of the mirror line on the 3D view, or type a coordinate

Properties

  • DateBase: The base point of the mirror plane
  • DateNormal: The normal direction of the mirror plane

Options

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

mirror (objectslist,p1,p2)
  • Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
  • The result is a Part Mirror object
  • If the original object changes, the final object changes too but keeps mirrored

Example:

import Draft,FeeCAD
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2,2,0)
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2)